Package: org.codehaus.groovy.runtime

## [Java] Class WritablePath

- org.codehaus.groovy.runtime.WritablePath

- All Implemented Interfaces and Traits:
    Path, Writable

      @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated
      public class WritablePath

  A Writable Path.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WritablePath (Path delegate)`
    `WritablePath (Path delegate, String encoding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `compareTo(Path other)`
    `` | `boolean` | `endsWith(Path other)`
    `` | `boolean` | `endsWith(String other)`
    `` | `boolean` | `equals(Object other)`
    `` | `Path` | `getFileName()`
    `` | `FileSystem` | `getFileSystem()`
    `` | `Path` | `getName(int index)`
    `` | `int` | `getNameCount()`
    `` | `Path` | `getParent()`
    `` | `Path` | `getRoot()`
    `` | `int` | `hashCode()`
    `` | `boolean` | `isAbsolute()`
    `` | `Iterator<Path>` | `iterator()`
    `` | `Path` | `normalize()`
    `` | `WatchKey` | `register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier modifiers)`
    `` | `WatchKey` | `register(WatchService watcher, WatchEvent.Kind<?> events)`
    `` | `Path` | `relativize(Path other)`
    `` | `Path` | `resolve(Path other)`
    `` | `Path` | `resolve(String other)`
    `` | `Path` | `resolveSibling(Path other)`
    `` | `Path` | `resolveSibling(String other)`
    `` | `boolean` | `startsWith(Path other)`
    `` | `boolean` | `startsWith(String other)`
    `` | `Path` | `subpath(int beginIndex, int endIndex)`
    `` | `Path` | `toAbsolutePath()`
    `` | `File` | `toFile()`
    `` | `Path` | `toRealPath(LinkOption options)`
    `` | `String` | `toString()`
    `` | `URI` | `toUri()`
    `` | `Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public WritablePath(Path delegate)

    - #### public WritablePath(Path delegate, String encoding)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int compareTo(Path other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean endsWith(Path other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean endsWith(String other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean equals(Object other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path getFileName()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public FileSystem getFileSystem()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path getName(int index)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getNameCount()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path getParent()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path getRoot()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int hashCode()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isAbsolute()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Iterator<Path> iterator()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path normalize()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public WatchKey register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier modifiers)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public WatchKey register(WatchService watcher, WatchEvent.Kind<?> events)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path relativize(Path other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path resolve(Path other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path resolve(String other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path resolveSibling(Path other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path resolveSibling(String other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean startsWith(Path other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean startsWith(String other)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path subpath(int beginIndex, int endIndex)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path toAbsolutePath()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public File toFile()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Path toRealPath(LinkOption options)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String toString()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public URI toUri()

    - #### public Writer writeTo(Writer out)